PDA

View Full Version : Howto: Gyachi - Yahoo! messenger, Webcam, room voice chat, photo sharing



Pages : 1 [2] 3

loell
December 13th, 2008, 03:00 AM
Hi everybody. I have Linux Ubuntu 8.10 and I am new too. Cannot figure out.Witch Gyachi I need to install.
1. gyachi_1.1.48-1~ubuntu11_i386.deb
2. gyachi_1.1.59-1~intrepid1_i386.deb
3. gyachi_1.1.48.orig.tar.gz
4. gyachi_1.1.59-1~intrepid1.tar.gz
All I know, I have 32 not 64
Please help anybody?

gyachi_1.1.59-1~intrepid1_i386.deb

x58
December 13th, 2008, 03:42 AM
Thank you

x58
December 13th, 2008, 04:43 AM
Cannot connect.Port 5050, Protocol YMSG-15/Messenger 8.I try different servers, but was receiving next messages:
1.Connection time out
2.Incorrect Password
4.Connected and then disconnected - I turn auto login off and Auto Reconnected if Disconnected I turn off too.
So, how I can connect?

loell
December 13th, 2008, 05:07 AM
can you login thru pidgin with the same password?

x58
December 13th, 2008, 06:02 AM
Yes, I can. I disable Pidgin.

x58
December 13th, 2008, 06:27 AM
My mistake, Cannot connect, no to MSN,no to Yahoo.Sorry, my mistake

x58
December 13th, 2008, 08:16 AM
Now I am finally in Gyachi, but when I try to put work voice. then I receive next message:Cannot run gyvoice due to the following missing files:

tsd32.dll
tssoft.acm

Not in the following directories:
/
/usr/lib/win32/
/usr/lib/win32/
/usr/local/lib/win32/
/usr/lib/codecs/

Can you help me, what I need do too exactly now?

loell
December 13th, 2008, 08:41 AM
Can you help me, what I need do too exactly now?

you need to install gyachi codecs (http://downloads.sourceforge.net/gyachi/gyachi-codecs.deb?modtime=1194233368&big_mirror=0)

please remember that this is only "room voice chat" not pc to pc call.

x58
December 13th, 2008, 08:16 PM
Thanks again.I have some kind problem again with sign in.GYachi don't sign in and Pidgin don't sign in. I thinking there supposed be some kind problem.Can you give any advice.

x58
December 14th, 2008, 11:07 AM
Hi Mr.Loell,
I find out problems with connection and problem was, because Yahoo don't like anybody to use 3-rd party messenger. I changer scs.msg.yahoo.com to 66.163.181.173 and no any problems with sign in. Same I did with Pidgin messenger.
I have internal HP Pavilion web camera and it was working, but picture was double and very little. Had some kind problems. I install old USB Port Logitech and web picture is very clear and beautiful.
When I install Gyatchi Codecs, then Skype. aMSN was messed up. I was able fix everything, only cannot fix aMSN Microphone. It still not work.
So, I try everything to put work Voice Conference, but it never worked.I read and was not able find noting.At Gyatchi anything about VOICE don't just work.
Any advice??? I want thank you Mr. Loell at your Forum I find much help already and I hope maybe somebody can help me with Voice Conference.....

tonyuk123
December 16th, 2008, 02:54 PM
Hi leoll,
Well after much trying, with little success i have now re-installed Ubuntu 8.04.
Seems it made no difference to webcam support other than not working in even more programs!.
Also firefox was very very unstable.
So now i am back on 8.04, with the version of Gyachi 1.1.48 deb
it works but no webcam.(works on chesse and in java within firefox)
Any ideas what i should try first?
Bearing in mind this is a fresh install of 8.04 with all updates applied, and a fresh install of Gyachi 1.1.48.
Thanks for any ideas
Tony

spiderbatdad
December 18th, 2008, 04:09 PM
@loell thanks so much for pointing me here: http://groups.google.com/group/microdia
It took only minutes to compile and install the driver, after a reboot, webcam is working great with gyachi.


$ lsusb
Bus 002 Device 002: ID 0c45:62e0 Microdia

trendyabinash
December 18th, 2008, 04:25 PM
use "sudo" infront of apt-get and you will get the required permission

sudo is a command used to give root previledges

loell
December 18th, 2008, 10:34 PM
@loell thanks so much for pointing me here: http://groups.google.com/group/microdia
It took only minutes to compile and install the driver, after a reboot, webcam is working great with gyachi.


$ lsusb
Bus 002 Device 002: ID 0c45:62e0 Microdia


great :), is this also working with intrepid?

DexterLB
December 19th, 2008, 02:54 PM
Hello.
I've used gyachi for 2 years by now under gutsy, then hardy, and it worked perfectly. And now, when I upgraded to intrepid, The voice chat in rooms is screwed up - I can hear the others, but they can't hear me. I tried to upgrade t the newest version, but the problem isn't fixed. Any suggestions?

ruffwuk
December 19th, 2008, 04:38 PM
Hi everyone,
I was reading the thread, and I cant find that 1.48 version of gyachi... Can some one tell me where to get it?

DexterLB
December 19th, 2008, 06:55 PM
I don't know where you can get 1.48 from, but the newest one - e.g. 1.1.58 is available for download at the first post of this thread.

P. S. Still struggling to get the voice chat working, but no luck :cry:

tqft
December 19th, 2008, 09:48 PM
Hello.
I've used gyachi for 2 years by now under gutsy, then hardy, and it worked perfectly. And now, when I upgraded to intrepid, The voice chat in rooms is screwed up - I can hear the others, but they can't hear me. I tried to upgrade t the newest version, but the problem isn't fixed. Any suggestions?

Have you looked at the PulseAudio controls? PulseAudio is installed in Intrepid by default and you mic may be muted in the Pulse controls.

There is a good howto somewhere in the forums (search recommended).

ruffwuk
December 19th, 2008, 10:47 PM
Thanks DexterLB
My error, and I got 1.1.59 installed. but I am missing some plugins for Blowfish, ALSA and Pulse (I think I can fix on my own), but I noticed my webcam is not working. I will update on my progress.

DexterLB
December 20th, 2008, 07:27 AM
Have you looked at the PulseAudio controls? PulseAudio is installed in Intrepid by default and you mic may be muted in the Pulse controls.

There is a good howto somewhere in the forums (search recommended).
I noticed that the audio driver is set to ALSA in the gyachi settings. I'll try to change it to pulseaudio and un-mute the mic. Thanks for your replay.

tonyuk123
December 22nd, 2008, 02:33 PM
Hmm, ok
I give up, seems webcam support in 8.10 is worse than 8.04, and seems that Gyachi doesn't do webcams either!
Thanks
Tony

inchkape
December 26th, 2008, 01:21 PM
Hi all, hi Loell,

my first time here, I use linux Mint 6, based on Intrepid and am a user of amsn, kopete and gyachi.

Gyachi is what brings me here. I installed intrepid based mint rc1 so that I could try gyachi 1.1.5x specifically so that i could use the webcam. It worked perfectly.
When I installed the final version of mint 6.0 however and wanted to reinstall gyachi, the .deb packages had been changed to 1.1.58 (the first install was 1.1.52). The webcam (sending) which worked perfectly until then, now showed a double image rather than a normal one.
Switching to a usb webcam (Logitech quickcam for notebooks pro) the webcam again worked fine. The problem seems to be with the integrated webcam in my laptop.
The laptop is a hp dv6658 with integral hp webcam. I noticed that the user "X58" who posted a week ago on this forum has exactly the same problem.
Is it possible for us to reinstall the 1.1.52 package? I could no longer find it to download and unfortunately didn't have the package saved to disk, but installed with GDebi.
Any help will be appreciated, because I don't want to carry a usb cam around when i have one in my comp.
It works fine with amsn and skype, just having this issue with yahoo and gyachi. Ironically the version of kopete delivered with mint 6 (and ubuntu) is also having webcam issues :P

loell
December 27th, 2008, 12:19 AM
Is it possible for us to reinstall the 1.1.52 package?

hello, unfortunately i am unable to track the PPA url for 1.1.52 , could you try 1.1.59 (https://launchpad.net/%7Eloell/+archive/+files/gyachi_1.1.59-1~intrepid1_i386.deb) instead? maybe then your integrated webcam will work properly.

spiderbatdad
December 27th, 2008, 01:05 AM
great :), is this also working with intrepid?

@loell thanks so much for pointing me here: http://groups.google.com/group/microdia
It took only minutes to compile and install the driver, after a reboot, webcam is working great with gyachi.
Sorry to get back so slowly. Yes, working on intrepid.

Tosa
January 1st, 2009, 11:40 PM
Hi all,

I've installed GYachE 1.1.58.
On the first try my MSI StarCam didn't work, but when I changed Webcam Device from video0 to video1 the picture showed up. The problem is that it is a small double picture.
I've tried Kopete and there I have the normal picture...

The other issue is the lack of any sound in GYachE. The only Sound Device I have listed in the Options is ALSA plugin 1.0.17a

Any help will be appreciated.

andyshedd
January 18th, 2009, 08:03 PM
hello, at long last I have found the source! From reading the posts it seems like gyachi does not support voice chat in the 64 bit version. does that mean permamently? and no more new versions for hardy? i've also had some bad luck with intrepid..

loell
January 18th, 2009, 11:18 PM
hello, at long last I have found the source! From reading the posts it seems like gyachi does not support voice chat in the 64 bit version. does that mean permamently? and no more new versions for hardy? i've also had some bad luck with intrepid..

yep, its a wine code that could not be compiled in 64 bit, from the looks of it, its permanent, unless theoretically the voice decoding is done in ffmpeg .

zouriel
January 23rd, 2009, 04:58 AM
I cant figure it out...

With gyachi my cam works peachy but when i request to view someone i get maybe 2 secs. of video then it locks on my side and the cam module poofs away. If they send it to me same issue, however typically if i request 2 times wait till it dyes both times and they send it to me it works fine after that per user....
any ideas

zouriel
January 23rd, 2009, 01:53 PM
i forgot to mention ... im running ubuntu ibex with version 1.1.59 gyache

BordorFox
January 26th, 2009, 03:33 AM
Just thought i would mention this here in case someone has this issue

i am on 8.10 intrepid using a intel quad core

installed 1.1.59 intrepid amd64 package and the codecs

GYachi itself works fine but when i click the voice button, nothing happens

noumaan
January 27th, 2009, 11:08 PM
I have the same problem on my interpid 64bit ubuntu Gyachi works just fine but no voice chat when I pressed voice chat button it gave me some errors. then I found out I need to install gyachi codecs after installing codecs nothing happens when i press voice chat button not even errors come up.

I tried to install 32bit version with getlibs but get getlibs give me this error

No match for libgyachi.so
No packages to install

I am totally clueless please help me resolve the issue.

loell
January 28th, 2009, 12:06 AM
as stated in the first page, there is no room voice chat for 64 bit.

noumaan
January 28th, 2009, 03:21 AM
loell,

Can you please tell me is this possible for me to install 32bit Ubuntu on my computer? I installed 64bit just because someone suggested that core2 duo needs 64bit ubuntu os to perform better. If i install 32bit ubuntu so gyachi will work on my computer?

loell
January 28th, 2009, 03:29 AM
install the 32 bit package by using getlibs, it's also in the first page, that, if you want the voice chat for rooms only feature.

fieldstone
January 30th, 2009, 03:41 AM
None of these files for Intrepid seem to work. The Hardy ones are working fine, though. What's going on?

loell
January 30th, 2009, 04:35 AM
None of these files for Intrepid seem to work. The Hardy ones are working fine, though. What's going on?

no one will have a clue, unless you state the error.

bjorkiii
January 31st, 2009, 11:49 AM
I think he means when you try and download the intrepid versions the newer ones it gives a page error

finaldata
January 31st, 2009, 07:28 PM
here are the new links...

http://ppa.launchpad.net/loell/ppa/ubuntu/pool/main/g/gyachi/gyachi_1.1.59-1~intrepid1_i386.deb

loell
January 31st, 2009, 08:37 PM
aah! the new url! i didn't notice until i read launchpad's notification, thanks for pointing that out. :)

dhonnoll
February 3rd, 2009, 04:46 AM
My in laws at the other end use winblows XP 32 bit with yahoo, am I going to be able to voice chat with them?

loell
February 3rd, 2009, 07:08 AM
My in laws at the other end use winblows XP 32 bit with yahoo, am I going to be able to voice chat with them?

I think you meant voice calls ( voice chat is only for yahoo rooms) , and for that I'd recommend using gizmo5 to call their yahoo messenger. :)

DougieFresh4U
February 3rd, 2009, 07:09 AM
My in laws at the other end use winblows XP 32 bit with yahoo, am I going to be able to voice chat with them?

No.

draxz
February 3rd, 2009, 03:57 PM
Hello,

I was told this also works for MSN, I wanna be able to voice and video chat on MSN and yahoo


is it possible using this software?

loell
February 3rd, 2009, 10:50 PM
no you can't, gyachi is exclusively for yahoo protocol, you can however use amsn or kopete to be able to video chat with msn contacts and separately voice call them through gizmo.

t.alex
February 7th, 2009, 08:21 AM
Hi loell,

thanks for sharing this nice piece of Software :p

is it possible to modify the appearance of gyachi? there are a few themes, but they aren't really appealing...

btw what type of file are the "raw" sounds? I've only managed to open them with audacity and the raw files audacity saves are not rendered correctly by gyachi

Thanks!

loell
February 7th, 2009, 09:04 AM
is it possible to modify the appearance of gyachi? there are a few themes, but they aren't really appealing...

the user interface is hard coded and has become difficult to rewrite it, the current developer can only add features and fix bugs, but couldn't change the appearance drastically.




btw what type of file are the "raw" sounds? I've only managed to open them with audacity and the raw files audacity saves are not rendered correctly by gyachi

Thanks!

its the same raw sound format,but the length of the sound file should more or less the same as the older ones, though i havent tried longer raw sound with pulse audio settings.

gretchch
February 12th, 2009, 05:00 AM
I installed the gyachi_1.1.59-1~intrepid1_i386.deb package on my AMD64 intrepid installation, using the force-all and getlibs method (because I want the sound support). I can get gyachi to come up, but I get the following messages in the Chat window:

GyachE Improved 1.1.59
http://gyachi.sourceforge.net/
** Plugin '/usr/lib/gyachi/plugins/libgyachilibnotify.so' could not be loaded because of an error:
file not found
** Location: /usr/lib/gyachi/plugins/libgyachilibnotify.so
Plugin Loaded: 'Blowfish-Internal'
** Plugin '/usr/lib/gyachi/plugins/libgyachigpgme.so' could not be loaded because of an error:
file not found
** Location: /usr/lib/gyachi/plugins/libgyachigpgme.so
** Plugin '/usr/lib/gyachi/plugins/libgyachigtkspell.so' could not be loaded because of an error:
file not found
** Location: /usr/lib/gyachi/plugins/libgyachigtkspell.so
Plugin Loaded: 'GyachI-sound-plugin-ALSA'
Plugin Loaded: 'GyachI-sound-plugin-PulseAudio'
** Plugin '/usr/lib/gyachi/plugins/libgyachimcrypt.so' could not be loaded because of an error:
file not found
** Location: /usr/lib/gyachi/plugins/libgyachimcrypt.so
Loaded 3 plugins from '/usr/lib/gyachi/plugins'.

The /usr/lib/gyachi/plugins directory exists, and all of the libraries that it's complaining about are in there, and oddly it is able to load three of them without complaint, which leads me to believe it's a dependency that's not being found, and not the actual plugin file itself.

I hope that I haven't shot myself in the foot...I went through the whole process of building and installing the 1.1.61 version at 64 bit (downloaded the tar from sourceforge) and disabled wine. It wasn't until I'd done the make install and started running the application that I realized that wine was needed for sound support. That's when I found this thread. I did a make uninstall of the 1.1.61 version and installed the 32-bit 1.1.59 package, but I'm wondering if I installed some 64-bit pre-req when I was doing the 64-bit build which is now interfering with the 32-bit package.

ov1d1u
February 15th, 2009, 01:02 PM
I have a problem:

Gyachi crash everytime when I press the "Save" Button in settings dialog (Segmentation Fault).

Any way to solve that? I'm tired of editing the configuration file :lolflag:

Openrulers
February 15th, 2009, 01:39 PM
Thank you. Something a miss in Ubuntu. Let me see how this works.

crjackson
February 23rd, 2009, 05:42 AM
I just installed Gyachi in Intrepid and it went well. How do I enable my webcam? It's a Philips SPC 900NC

It works in Skype, aMSN, Ekiga, cheese, wxcam, and everything else I've tried.

Any help would be appreciated.

Downloaded and installed GyachE Improved 1.1.59

Nevermind, my bad. I found it.

crjackson
February 23rd, 2009, 11:35 PM
Is it possible to install GyachE Improved 1.1.59 on Hardy?

loell
February 24th, 2009, 02:07 AM
Is it possible to install GyachE Improved 1.1.59 on Hardy?

unfortunately it isn't :(

it has a package dependency that's not on hardy, the (libv4l) package which also depends of newer kernels.

crjackson
February 24th, 2009, 07:00 AM
unfortunately it isn't :(

it has a package dependency that's not on hardy, the (libv4l) package which also depends of newer kernels.

Okay, thanks.

ov1d1u
March 3rd, 2009, 08:17 PM
I have a problem:

Gyachi crash everytime when I press the "Save" Button in settings dialog (Segmentation Fault).

Any way to solve that? I'm tired of editing the configuration file :lolflag:

I started Gyachi from the LiveCD and it runs perfectly... I reinstalled my distro and it crashes again... Somebody knows any workaround?

loell
March 3rd, 2009, 11:39 PM
I started Gyachi from the LiveCD and it runs perfectly... I reinstalled my distro and it crashes again... Somebody knows any workaround?

.gyachrc isn't really hard to edit, if the save setting button is giving you crashes, then might as well just edit the file. once you have a working rc file then back it up for future use.

stanz
March 9th, 2009, 03:17 AM
yes there is a particular entry, i commonly suggest deleting the entire /.yahoorc directory which is actually not that good of an advice but just not to create more confusion in explaining for new users.
anyway, the particular file is /.yahoorc/gyach/gyachrc the entries are explanatory, just try to find
chat_window_width =
and
chat_window_height =

Hi loell, this may be an old issue - but it may help someone...(?)
I'm refering to xeddog's post, #162 -- which is/was my issue also.
The width got so wide - I started opening and using as root, which this did not occur.
I'm using Ubuntu 8.10, with GyachE Improved 1.1.58 and this post is also mirrored on the Sourceforge (https://sourceforge.net/forum/forum.php?thread_id=2286413&forum_id=533967) site.
I didn't install Compiz, which I hear messes with windows in different ways.
Checking into the .yahoorc folder, ".yahoorc/gyach/gyachrc"
For me - line 98, of the gyachrc file - showed:
chat_text_width = 2856
chat_user_height = 328

I Changed that to:
chat_text_width = 856
chat_user_height = 328 :: "which was better!

I Changed again:
chat_text_width =300
chat_user_height = 100 === BUT == it reverted to:

chat_text_width = 932
chat_user_height = 277

it also it adjusted the: emotes_window_height from 197 to 239

Weird, but much better screen viewing...I'll update this if the changes don't stick.

stanz
March 9th, 2009, 03:58 AM
nope ~ it didn't stick...but grew again slowly.
changes didn't stick--next startup--the file shows:
emotes_window_height = 239
chat_text_width = 1196
chat_user_height = 277

and the next startup:
emotes_window_height = 239
chat_text_width = 1460
chat_user_height = 277

and another:
emotes_window_height = 239
chat_text_width = 1724
chat_user_height = 277

increments of 264...hummm?

loell
March 9th, 2009, 04:16 AM
wierd behavior, could this be the doing of your current DE or wm?

stanz
March 9th, 2009, 04:49 AM
hi,
ya got me there -- i wouldn't have a clue or an idea how to check on that.
this install is a few months fresh, i'm using gnome and believe its metacity {?}.

since this didn't occur using root, i checked roots gyachrc file, and found your mention of: chat_window_width = and chat_window_height =
its like this:
chat_window_x = 170
chat_window_y = 104
chat_window_width = 800
chat_window_height = 600

perhaps a copy & paste into my user file is in order?

and the other pref's:
emotes_window_height = 90
chat_text_width = 792
chat_user_height = 336
which are good and don't change.

anyway - thanks for your reply...i haven't found any other posts about this [except xeddog's] so i didn't figure it worth taking up your time.
:)

stanz
March 9th, 2009, 05:26 AM
huh - so far, that copy & paste is working and the window size hasn't grown!
i did that as root - if it helps anyone.

i can't say if me changing an option - threw it off.
its all setup/standard options - i didn't mess with any others.

i did notice in the "backups" folder - gyachrc.0 had the stuff i just pasted in...
whereas gyachrc.9 had the over-size info...?

ok - guess i'm done....thanks again for the reply loell !!

binskipy2u
March 11th, 2009, 02:19 AM
anyone have gyach 1.1.61 for 64bit?
i seen it on forums, but cant find a 64bit version and if so, what are the changes from 1.1.59.x86_64?

thanks for any information

SleeplessCDN
March 11th, 2009, 08:27 PM
I just installed Gyache 1.1.48 because I am running Ubuntu 8.04 and I am having a very strange problem.

After I supposedly login to Yahoo because the Yahoo login window disappears but that is all that happens, the menu buttons doesn't work and when the information window comes up while I hover over a button or the menu bar the image is highly distorted.

I have no idea how to fix this problem, does anybody have any ideas whatsoever, right now I am open to anything at all.

Here goes:

http://i16.photobucket.com/albums/b10/sleeplessincanada/Screenshot.png

http://i16.photobucket.com/albums/b10/sleeplessincanada/Screenshot1.png

_sluimers_
March 14th, 2009, 02:55 PM
For some reason I can no longer start gyachi.
This is my error.



rogier@rogier-desktop ~ $ gyachi
Xlib: extension "RANDR" missing on display ":0.0".
Segmentation fault

stalkingwolf
March 20th, 2009, 04:36 PM
here is my situation. I have 2 desk tops both now running 8.10 with logitech quick cam chat,s . gyachi works with the cams great, weird but great.

Now my problem My laptop an HP nc8000. same cam. the cam works everywhere
but gyachi. Camorama, cheese, ekiga, and gyachi when i click start web cam.
It just wont broadcast.

at this point 8.10 is not an option. i have no wireless in 8.10. all fo my wireless options that work in 8.04 OOTB refuse to function at all in 8.10.
laptop w/o wireless kind of defeats the purpose.

Any ideas?

also when i try to install gyachi 1.1.59 i get a defencie error libcrypt 4 not satisfiable. first time that has happened. but then this install of 8.10 is the first time i have installed and been told that
" no updates were available" system up to date. ever

loell
March 21st, 2009, 12:00 AM
the last compatible version for 8.04 was gyachi V 1.1.48 , as 1.1.5x
introduces a couple more dependencies not available in 8.04 or earlier. this decision was a move for better webcam compatibility layer, as you may have noticed, your webcam is functioning in gyachi in your other desktop that could mostly be running 8.10?

so if your laptop is running 8.04 , you may be out of luck for now since version V 1.1.48 and below isn't that good at detecting some webcams.

I guess, Jaunty is next bet. :)

stalkingwolf
March 21st, 2009, 03:57 PM
It seems to be detected. It shows just fine when i click start web cam.
It just doesnt broadcast. Comes up as not on line.


OK i tried 9.04 last night. same problem . no wifi on the HP laptop.

I am wondering why you would not want to get this product fully functional for the LTS version.

stalkingwolf
March 24th, 2009, 04:22 PM
Last night my wife and I were on Yahoo with her SiL. all of a sudden both cams just stopped working. We could see them on our respective computers,
it said they were broadcasting but never could see them again on the other computers.

I am going to try to reinstall Gyachi today. see if that works.

loell
March 25th, 2009, 01:16 AM
it's probably yahoo's.

stalkingwolf
March 25th, 2009, 01:49 PM
I reinstalled Gyachi last evening on both our computers and the cams are working again. havent tried with the SiL yet. later today.

Maybe ot was just one of those ozone things, my cell phone has been acting weird the last few days also.

Baby_Allgood
March 26th, 2009, 06:29 AM
I'm having problems logging into my yahoo account on gyache v.1.1.59
I click on the smiley face in the launch toolbar at the top of the screen...
The interface where I view the friends list and other thing comes up...
With the login interface in front of it...
And then when I click the login button...
it takes a little bit... as if it is connecting..
but, then nothing shows up in the friends list interface...
and I cant do anything but close it and try it again...
but it does the same thing each time..
and I tryed re-installing it...
that has not worked...
it seems like it work for me just the first time, and then.... nothing
I was wondering if anybody else has had this problem, and if there is something that I can do to make it work again....

stalkingwolf
March 27th, 2009, 08:58 PM
try changing the server. it did that to me with a couple of the servers.

a3qp
April 5th, 2009, 04:27 AM
Hi Loell,
Is it possible to install Gyachi in Ubuntu Jaunty amd64 ?
If so, where can I find tha packages?

Thanks.

loell
April 5th, 2009, 06:10 AM
Hi Loell,
Is it possible to install Gyachi in Ubuntu Jaunty amd64 ?
If so, where can I find tha packages?

Thanks.

the intrepid amd64 deb package is still most probably compatible with jaunty, try it, let me know how it goes. :)

loell
April 6th, 2009, 02:44 PM
new version is out 1.1.63 for intrepid and for jaunty, available at my PPA. :)

old new feaure: buddy revocation, you now have the ability again to remove your name in others' buddy list. ;)

crjackson
April 12th, 2009, 03:15 AM
How do you setup the video recording option. Everytime I try to record an incomming video, it only captuers a series of still frame jpg's.

Can someone walk me through this? I'm setting up a system for a friend of mine who is addicted to Yahoo stuff. He's 2K miles away and I won't be around to help him figure that out so I need to do that now if possible.

I'm currently using 1.1.63 on Intrepid, but he will be using Jaunty.

loell
April 12th, 2009, 05:43 AM
with mencoder, make it as an avi.


mencoder -ovc lavc -mf fps=3:type=jpg 'mf://*.jpg' -o movie.avi

crjackson
April 12th, 2009, 07:55 PM
with mencoder, make it as an avi.


mencoder -ovc lavc -mf fps=3:type=jpg 'mf://*.jpg' -o movie.avi

I put the commands into the recorder settings and it won't execute automatically. Is there anyway to make it encode when I tell it to encode?

Also the avi produced by using this command from a terminal screen produces a file that won't open in ms windows. However I can use WinFF to convert the file to an MS avi and it produces a much smaller file that works with windows.

Is there a way to make this happen by just plugging in some information into the Gyachi?

Also, the new version does not have the icons showing for send file and share photos any more. Is this just a bug on my system or is anyone else seeing this too.

EDIT: I just did an install on Jaunty and it's missing the action icons too...

Thanks for any help.

P.S. - If the task can't be accomplished in Gyachi, I imagine a bash script could automate the process but I don't know how to write bash...

Some hand holding please...

loell
April 13th, 2009, 05:46 AM
updated, the buttons should show up now.

crjackson
April 13th, 2009, 04:05 PM
updated, the buttons should show up now.

Thank you. Yes now the buttons show.

How about some more instruction on how to get the recorder function to work as stated above?

loell
April 13th, 2009, 11:01 PM
I'm thinkng to whip up a pygtk script, to have your friend encode it on a simple UI, but i'm not so free at the momment. if this isn't that urgent, i could do it on the weekend.

in any case you could just copy paste that on a .sh file, then set it to executable by say chmod +x encoder.sh , put it in a directory where you put the webcam still images, then execute the script.

also advise him/her to not open the directory with nautilus, because nautilus loves to preview, nautilus hangs when too many images are in one directory, that's just my observation.

crjackson
April 14th, 2009, 01:55 AM
I'm thinkng to whip up a pygtk script, to have your friend encode it on a simple UI, but i'm not so free at the momment. if this isn't that urgent, i could do it on the weekend.

in any case you could just copy paste that on a .sh file, then set it to executable by say chmod +x encoder.sh , put it in a directory where you put the webcam still images, then execute the script.

also advise him/her to not open the directory with nautilus, because nautilus loves to preview, nautilus hangs when too many images are in one directory, that's just my observation.

Okay. a GUI would be awesome. He won't get his system shipped until after Jaunty is officially released and the machine tested for a few days. It can wait if you really want to do that.

I wonder why the function for Gyachi doesn't work. Is that a bug that could be reported somewhere, or am I misunderstanding the intention of that setting.

Also, is there a way for the encoder to produce an MS Compatible avi file? Otherwise it has to be converted for windows users (other family members) to view the resulting movie.

loell
April 14th, 2009, 11:06 AM
Is that a bug that could be reported somewhere, or am I misunderstanding the intention of that setting.


yes, it's a feature not a bug, but my sentiments is with you, i too wish that it's more autotmated. the developer conforms to the linux philosophy, which one tool to only do one thing and do it well.

crjackson
April 14th, 2009, 01:50 PM
yes, it's a feature not a bug, but my sentiments is with you, i too wish that it's more autotmated. the developer conforms to the linux philosophy, which one tool to only do one thing and do it well.

I don't understand what the purpose of having a settings entry field for encoder > encoder command is for then. If they serve no purpose he should have left them out. That's what made me think it should actually do something.

loell
April 14th, 2009, 02:27 PM
I don't understand what the purpose of having a settings entry field for encoder > encoder command is for then. If they serve no purpose he should have left them out. That's what made me think it should actually do something.

ahh, yeah, let me lay the timeline on when it had that entry,

It was hoshy(Stefan Sikora) who made that, he's already inactive on the project, he was also responsible with the whole webcam recording thing,

i'll try to ask the current developer if he intends to remove that or not, since it just confuses users, as it doesn't do video encoding at all.

crjackson
April 14th, 2009, 02:51 PM
ahh, yeah, let me lay the timeline on when it had that entry,

It was hoshy(Stefan Sikora) who made that, he's already inactive on the project, he was also responsible with the whole webcam recording thing,

i'll try to ask the current developer if he intends to remove that or not, since it just confuses users, as it doesn't do video encoding at all.

I would like to see the recorder option stay. It's just the encoding dialogue that is confusing. I'm sure it would take much to complete. It only needs to invoke the mencoder and the custom commands. I think just making the launch (encode) button a working function would be easier than chopping out settings from the GUI.

lutosdemayo
April 17th, 2009, 02:16 AM
Hi loell I've always followed your packages but my webcam stopped functioning with version 1.1.61 using Intrepid, now I have upgraded to Juanty hoping that my webcam would once again work but its still the same thing. I can use it with Cheeze Webcam Booth and i have been using it since version 1.1.0 up until now. I'm using a vmicro 305 webcam. Thanks.:(

loell
April 17th, 2009, 03:58 AM
Hi loell I've always followed your packages but my webcam stopped functioning with version 1.1.61 using Intrepid, now I have upgraded to Juanty hoping that my webcam would once again work but its still the same thing. I can use it with Cheeze Webcam Booth and i have been using it since version 1.1.0 up until now. I'm using a vmicro 305 webcam. Thanks.:(

didn't it detect or work even if you switch v4l1 and v4l2 back and forth in the webcam settings?

c4pt
April 17th, 2009, 05:56 PM
hello i have a strange problem...when i use the amd64 package for 1.1.59
i have a local webcam window to view my webcam but no voice in the rooms of course.

but when i use the i386 package i have voice in the rooms but i have no local view of my webcam??

is there a way to have the i386 package with voice in the rooms and also display my local video as in the amd64 package?

please let me know thank you

:(

loell
April 17th, 2009, 11:11 PM
hello i have a strange problem...when i use the amd64 package for 1.1.59
i have a local webcam window to view my webcam but no voice in the rooms of course.

but when i use the i386 package i have voice in the rooms but i have no local view of my webcam??

is there a way to have the i386 package with voice in the rooms and also display my local video as in the amd64 package?

please let me know thank you

:(


search for how to chroot a 32 bit application to a 64 bit machine if you want room voice for 64 bit.

could you explain more about local window webcam? is this the webcam preview?

c4pt
April 18th, 2009, 01:00 AM
hey wow you got back to me fast...here is an image of the webcam preview local window


http://img114.imageshack.us/img114/670/screenshotp.png

:D


--on the amd64 copy of gyachi i get a webcam preview on the i386 i dont get it so tell me what you think.

i mean it sucks to have voice in rooms but no webcam support even though the webcam works in amd64 so i know its not the cam

loell
April 18th, 2009, 06:23 AM
this is in two machines, right?

a 64 and 32? if so, does this have the same webcam?

c4pt
April 19th, 2009, 01:47 AM
no one machine. i installed the amd64 package saw that voice in rooms doesnt work but webcam works so then installed the i386 package saw that webcam doesnt work but voice in rooms works

right now i am using the amd64 package until the i386 package is fixed with local webcam preview

:)

loell
April 19th, 2009, 01:53 AM
really? thats strange. ;)

what's your machines architecture? is it i386 or x86_64?

these two packages could not be interchanged. it would yield an error for an incompatible architecture alone.

loell
April 19th, 2009, 01:57 AM
Okay. a GUI would be awesome. He won't get his system shipped until after Jaunty is officially released and the machine tested for a few days. It can wait if you really want to do that.

as promised.. :)

just a very simple & crude UI encoder.

requires: mencoder package.

c4pt
April 19th, 2009, 03:23 AM
its amd64.

i did a dpkg -i --force-all for the i386 package.

the i386 package works fine for voice in rooms. but when i activate the webcam there is no local viewer


the amd64 package works except no voice in rooms. and the webcam local viewer works fine with it.

so.
:(

c4pt
April 19th, 2009, 03:26 AM
loell btw this isnt related but what is the ram limit on ubuntu i386 server kernel?

crjackson
April 19th, 2009, 03:59 AM
as promised.. :)

just a very simple & crude UI encoder.

requires: mencoder package.

sweet! Downloading now... =D>

loell
April 19th, 2009, 06:19 AM
its amd64.

i did a dpkg -i --force-all for the i386 package.

the i386 package works fine for voice in rooms. but when i activate the webcam there is no local viewer


the amd64 package works except no voice in rooms. and the webcam local viewer works fine with it.

so.
:(


ah i see, you forced install it, yeah what you're seeing now could be the normal outcome.

if you really want both webcam and voice chat in your 64 bit machine then, you either have to chroot, or use getlibs to install the 32 bit package.



loell btw this isnt related but what is the ram limit on ubuntu i386 server kernel?

if i'm not mistaken, it's only 3 or 3.5 gig of ram.

c4pt
April 19th, 2009, 09:49 AM
loell i am just going to reinstall to i386 i want adobe flash support also so thats pretty much why

iirc i386 server kernel support upto 64GB of ram with PAE support.

c4pt
April 19th, 2009, 11:27 AM
loell what is the gyachi encoder for?

crjackson
April 19th, 2009, 04:01 PM
loell - What's the proper way to use the encoder?

Do I place it in the same directory as the jpg's and just activate the script?

Running the script seems to start a cross-hair window select. When the script on on the deskto and I click it, it shows the cross-hair and from there if I click a window I get a py file on the desktop with a thumbnail of the window I selected.

loell
April 19th, 2009, 05:53 PM
loell what is the gyachi encoder for?

gyachi has a webcam recorder, but it only records in still images, so a specific is what it needs for those not so keen on entering commands in the command line.

loell
April 19th, 2009, 06:03 PM
loell - What's the proper way to use the encoder?

Do I place it in the same directory as the jpg's and just activate the script?

Running the script seems to start a cross-hair window select. When the script on on the deskto and I click it, it shows the cross-hair and from there if I click a window I get a py file on the desktop with a thumbnail of the window I selected.

oh my god, yeah, after downloading the script, it does the cross hair too, and worst! it takes screenshots too! a very wierd behaviour (still finding out how to make a proper installer)

anyway, you can relocate the script away from the Desktop, make a launcher, say a .desktop file (simply right click the desktop to make one) then point it to the script ie : python /home/..path_of_the_script/gyachi-encoder.py

that should do it. it should now show a small window, see attached.

http://ubuntuforums.org/attachment.php?attachmentid=110318&d=1240161570

crjackson
April 19th, 2009, 08:08 PM
Progress is being made. I now get the GUI but when I tell it to actually encode I get the error in screen shot below. Navigating to the folder and running the mencoder command from the cli works however.

Edit: Okay, that was my error. I thought the GUI was asking where I wanted the AVI, it wanted to know where the folder with the jpg's are at.

EDIT: Okay, I got it working. It's picky about the name of the folder where the jpg's are placed. Yahoo Capture won't work, but Yahoo_Capture will.

loell - I know it's a lot to ask, but is there a way it could be modified to allow selection of a default flolder, then on encoding move the avi to the desktop and delete the jpg's?

I had a look at the code and couldn't figure it out.

loell
April 20th, 2009, 12:01 AM
loell - I know it's a lot to ask, but is there a way it could be modified to allow selection of a default flolder, then on encoding move the avi to the desktop and delete the jpg's?

I had a look at the code and couldn't figure it out.

yea, i'll try looking at it tonight.

crjackson
April 20th, 2009, 03:04 AM
yea, i'll try looking at it tonight.

Thanks loell - I wish I had your talent.

crjackson
April 20th, 2009, 05:47 PM
Latest Gyachi updates broke webcam broadcasting here.

loell
April 21st, 2009, 12:10 AM
Latest Gyachi updates broke webcam broadcasting here.

does it hang? or it doesn't detect?

crjackson
April 21st, 2009, 12:45 AM
does it hang? or it doesn't detect?

It hangs. The webcam light comes on and then Gyachi freezes. Sometimes with a picture showing from the webcam display, sometimes no video at all.

loell
April 21st, 2009, 02:44 AM
It hangs. The webcam light comes on and then Gyachi freezes. Sometimes with a picture showing from the webcam display, sometimes no video at all.

i see, similar issues was also reported.

https://sourceforge.net/forum/forum.php?thread_id=3225292&forum_id=533966

crjackson
April 21st, 2009, 03:39 AM
i see, similar issues was also reported.

https://sourceforge.net/forum/forum.php?thread_id=3225292&forum_id=533966

Well I hope it gets fixed soon. That's the main reason for using Gyachi over pidgin for me.

loell
April 21st, 2009, 06:32 AM
1.1.63 is still in the archive, so you can still downgrade to the previous one.

crjackson
April 21st, 2009, 02:01 PM
1.1.63 is still in the archive, so you can still downgrade to the previous one.

I don't see the .63 build available for download. Can you point me to it?

loell
April 21st, 2009, 03:35 PM
I don't see the .63 build available for download. Can you point me to it?

yeah, you're right, i thought the repo won't auto-delete it, strange.. :(

anyway, I know Greg is swift in acting on reported bugs, it would likely be fix this weekend.



on other news, the script is done i think..

try the newly attached,

notbale changes are

1. saved last chosen folder
2. custom frames per second ( 3 as the default)
2. delete frames button

still aiming to make a deb installer for general consumption. ;)


110474

crjackson
April 21st, 2009, 03:47 PM
yeah, you're right, i thought the repo won't auto-delete it, strange.. :(

anyway, I know Greg is swift in acting on reported bugs, it would likely be fix this weekend.



on other news, the script is done i think..

try the newly attached,

notbale changes are

1. saved last chosen folder
2. custom frames per second ( 3 as the default)
2. delete frames button

still aiming to make a deb installer for general consumption. ;)


110474

Wouldn't launch from launcher or terminal. Produced the following output.

charles@emachines-m6809:~$ cd Yahoo_Capture
charles@emachines-m6809:~/Yahoo_Capture$ python gyachi-encoder.py
gyachi-encoder.py:98: GtkWarning: Attempting to read the recently used resources file at `/home/charles/.recently-used.xbel', but the parser failed: Error reading file '/home/charles/.recently-used.xbel': Is a directory.
self.dialog = gtk.FileChooserDialog(action=gtk.FILE_CHOOSER_ACTI ON_SELECT_FOLDER,buttons = (gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL, gtk.STOCK_OPEN, gtk.RESPONSE_ACCEPT))
---- file:///home/charles/Yahoo_Capture
Traceback (most recent call last):
File "gyachi-encoder.py", line 176, in <module>
enc = gyachi_encoder()
File "gyachi-encoder.py", line 112, in __init__
if len( self.default_folder) == 0:
TypeError: object of type 'NoneType' has no len()
charles@emachines-m6809:~/Yahoo_Capture$

loell
April 21st, 2009, 04:10 PM
Wouldn't launch from launcher or terminal. Produced the following output.

charles@emachines-m6809:~$ cd Yahoo_Capture
charles@emachines-m6809:~/Yahoo_Capture$ python gyachi-encoder.py
gyachi-encoder.py:98: GtkWarning: Attempting to read the recently used resources file at `/home/charles/.recently-used.xbel', but the parser failed: Error reading file '/home/charles/.recently-used.xbel': Is a directory.
self.dialog = gtk.FileChooserDialog(action=gtk.FILE_CHOOSER_ACTI ON_SELECT_FOLDER,buttons = (gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL, gtk.STOCK_OPEN, gtk.RESPONSE_ACCEPT))
---- file:///home/charles/Yahoo_Capture
Traceback (most recent call last):
File "gyachi-encoder.py", line 176, in <module>
enc = gyachi_encoder()
File "gyachi-encoder.py", line 112, in __init__
if len( self.default_folder) == 0:
TypeError: object of type 'NoneType' has no len()
charles@emachines-m6809:~/Yahoo_Capture$


ouch :(

anyhow do a


gconftool-2 --set "/apps/gyachi-encoder/default-path" --type string ""
then reexecute the srcipt, i'll be fixing it, together with a deb package this weekend

crjackson
April 21st, 2009, 09:56 PM
ouch :(

anyhow do a


gconftool-2 --set "/apps/gyachi-encoder/default-path" --type string ""
then reexecute the srcipt, i'll be fixing it, together with a deb package this weekend

Okay, I'll try that when I get off from work tonight.

DougieFresh4U
April 24th, 2009, 02:14 PM
Running Jaunty mand latest Gyachi, I can't hear 'audibles like I have before. They worked a week ago and I had to re-install and now no hear. Any suggestions?
Thanks and thanks for the work you put into all.
Dougie :P

loell
April 24th, 2009, 03:17 PM
Running Jaunty mand latest Gyachi, I can't hear 'audibles like I have before. They worked a week ago and I had to re-install and now no hear. Any suggestions?
Thanks and thanks for the work you put into all.
Dougie :P

not sure yet, but the audible player is an external command, if i'm not mistaken, it might have been affected by pulsedaudio or something.

crjackson
April 25th, 2009, 07:50 PM
ouch :(

anyhow do a


gconftool-2 --set "/apps/gyachi-encoder/default-path" --type string ""
then reexecute the srcipt, i'll be fixing it, together with a deb package this weekend

Using the command here, I was able to launch the encoder, but as you can see from the screen shot, something isn't just right.

crjackson
April 25th, 2009, 07:59 PM
not sure yet, but the audible player is an external command, if i'm not mistaken, it might have been affected by pulsedaudio or something.

It's working for me in Jaunty, as is the webcam now. The pulseaudio does need some tweaking ans the audibles cut off about the last 2 seconds of playback. This happened for me in Intrepid as well, but started working after some pulseaudio tweaking.

crjackson
April 26th, 2009, 03:36 AM
A fresh install of Jaunty and Gyachi *.65 and web cams are working again.

Problem though - It no longer lets you access the setup menu for the webcam and clicking on the menu option crashes the applet. Clicking on the record button also crashes the video window. Both action close the window instantly.

If you have a quick line to the developer, please ring his bell...

Thanks.

loell
April 26th, 2009, 05:00 AM
I couldn't seem to reproduce it.

you might want to reset the previous settings by removing capturerc and webcamrc.

enigmatic28
April 26th, 2009, 12:53 PM
Hi,

i have just recentky installed gyachi 1.1.59 (i was unable to locate the latest one)..

my question is how do you turn-off the automatic logging of the chat?
i don't want to stoce conversation on my laptop and can't seem to find how to dis able it.


thanks...

mihaicj
April 26th, 2009, 01:56 PM
How did you manage to install Gyachi on Jaunty? Did you compile from source?

crjackson
April 26th, 2009, 05:55 PM
I couldn't seem to reproduce it.

you might want to reset the previous settings by removing capturerc and webcamrc.

I can't find anything called capturerc or webcamerc. How do I go about removing them for a reset?

crjackson
April 26th, 2009, 05:56 PM
How did you manage to install Gyachi on Jaunty? Did you compile from source?

Look at loell's signature line and install his ppa repository. You will be upgraded.

crjackson
April 26th, 2009, 06:37 PM
loell - I got the encoder to encode. It seems that when you browse for the directory, you can't just highlight it and and assume it's selected. You have to double-click and actually go inside of the folder before clicking open.

I can't get it to delete the completed frames though. I looked at the code but I'm afraid to make modifications to test with. I think it's having trouble finding the frames because of their names.
since I cant record with GYachiE at this time, I was using some random jpgs. I think that because the GYachiE naming convention isn't being used it's having trouble deleting.

I noticed your rm statement in the py file is along the lines of

*-*-*-*-*-*.jpg

What would happen if that were just *.jpg ?

Also, how could this code
mf://*.jpg -o gyachi-webcam.avi' be modified to place the avi file on the desktop instead of the capture folder?

crjackson
April 26th, 2009, 07:00 PM
I couldn't seem to reproduce it.

you might want to reset the previous settings by removing capturerc and webcamrc.

loell - those files aren't located on my system anywhere...

crjackson
April 26th, 2009, 07:11 PM
I couldn't seem to reproduce it.

you might want to reset the previous settings by removing capturerc and webcamrc.

I purged gyachi and searched my drive for any leftovers. I deleted and reinstalled everything.

Still, as soon as I click the record button the applet closes. I still cant find any trace of capturerc or webcamrc on my system.

Any suggestions?

tqft
April 26th, 2009, 09:41 PM
"I still cant find any trace of capturerc or webcamrc on my system."


XXX@XXXX:~/.yahoorc/gyach$ ls
backups capturc emoticons history ignore.regex webcamrc
bimages commands gyachrc ignore log yavatars

Notice the . in front of .yahoorc

If using Nautilus you need to tick View Show Hidden Files

crjackson
April 26th, 2009, 10:47 PM
"I still cant find any trace of capturerc or webcamrc on my system."


XXX@XXXX:~/.yahoorc/gyach$ ls
backups capturc emoticons history ignore.regex webcamrc
bimages commands gyachrc ignore log yavatars

Notice the . in front of .yahoorc

If using Nautilus you need to tick View Show Hidden Files

Looked there already. They just aren't there... :confused:

loell
April 26th, 2009, 11:08 PM
strange,

how about recreating the files?

crjackson
April 26th, 2009, 11:55 PM
strange,

how about recreating the files?
Just an empty text file with those names?

loell
April 27th, 2009, 12:01 AM
yep.

crjackson
April 27th, 2009, 12:04 AM
yep.

Okay, did that. No difference.

loell
April 27th, 2009, 12:14 AM
Okay, did that. No difference.

what other rc files have you got in there?


ls .yahoorc/gyach/

crjackson
April 27th, 2009, 12:24 AM
That's it...

x58
April 27th, 2009, 07:53 AM
I have Linux 8.10 and 2 month ago with your help. Loell I install everything and it works or let say it's satisfied me fully.So, anywhere I have little question: Situation is next: I sleeping on night time , but I leaving computer and Gyachi on, because I have many friends living in different time zone, so my problem is: If somebody coming to Gyachi, then there pop up try Icon and if I sleep, I cannot to know if there is somebody. Question: Is there any ways to turn on voice signal like beep or something to listing if there coming somebody to Gyachi? Thanks

loell
April 27th, 2009, 08:23 AM
I have Linux 8.10 and 2 month ago with your help. Loell I install everything and it works or let say it's satisfied me fully.So, anywhere I have little question: Situation is next: I sleeping on night time , but I leaving computer and Gyachi on, because I have many friends living in different time zone, so my problem is: If somebody coming to Gyachi, then there pop up try Icon and if I sleep, I cannot to know if there is somebody. Question: Is there any ways to turn on voice signal like beep or something to listing if there coming somebody to Gyachi? Thanks

In setup -> message and personal -> enable PM sound events.

then adjust your sound volume.

x58
April 27th, 2009, 08:57 AM
I have enabled it, but not any sound. Maybe I need to to install Gyachi-codec deb? Right now I don't have any sound in Gyachi. Thanks

ashmew2
April 27th, 2009, 09:06 AM
loell , Thanks for the great pointers on getting Gyachi up and running!
Great job man! Keep up the good work :guitar:

xx58
April 27th, 2009, 11:19 AM
:) I don't have codecks too. Do I need? I don't have in Gyachi any sound too. I able sound at Gyachi setup, but no any sond. I have Gyachi gyachi_1.1.59-1~intrepid1_i386.deb. Maybe I need different one? I have Linux 8.10. Anybody knows and can help me?

loell
April 27th, 2009, 11:49 AM
you won't be needing the codec, its only for room voice chat.

try to set your sound device in setup --> Options --> sound device choose pulse audio.

see if there is sound, when your recieve an IM.

xx58
April 27th, 2009, 05:05 PM
Yes now I have very very small volume sound. Thanks, but how I can turn sound volume up?

crjackson
April 27th, 2009, 05:10 PM
strange,

how about recreating the files?

I placed the files in both the main folder and the sub folder but it make no difference.

I installed on 2 different machines with Jaunty and got the same result even with no webcam attached. Just clicking on the record button causes GYachi to close the viewer window and then become unresponsive. This happens on all three machines I've tested.

Where does one go to file a bug report on this application?

xx58
April 27th, 2009, 08:15 PM
Everything works now OK.Thanks

loell
April 27th, 2009, 11:14 PM
Where does one go to file a bug report on this application?

in http://gyachi.sourceforge.net


at the forums open discussion.

crjackson
April 28th, 2009, 01:40 AM
in http://gyachi.sourceforge.net


at the forums open discussion.

Thanks, I posted to that forum.

stalkingwolf
April 28th, 2009, 03:26 PM
What do i need to do to be able to send an SMS message? to send an Im from Gyachi to a cell phone.

utakbiya
April 28th, 2009, 03:50 PM
Hi loell thank you for this useful and informative post...I was looking for this kind of application...at last I've found it. Salamat kabayan!

crjackson
April 28th, 2009, 09:21 PM
in http://gyachi.sourceforge.net


at the forums open discussion.

Thanks again loell - Greg has identified the bug and will squish it in the .66 release very soon.

loell
April 28th, 2009, 11:58 PM
@utakbiya : glad you find it useful. :)



@crjackson : oh, so it's really a bug. I'm glad it's not just something to do with the deb package I built.

I commend you for describing it so well, maybe this is a start of regular or occasional bug reporting? the project needs more first hand feedback. :D

crjackson
April 29th, 2009, 01:18 AM
@utakbiya : glad you find it useful. :)



@crjackson : oh, so it's really a bug. I'm glad it's not just something to do with the deb package I built.

I commend you for describing it so well, maybe this is a start of regular or occasional bug reporting? the project needs more first hand feedback. :D

Yeah, seems it was a bug. I'm happy to help out with the bug reporting when I find one. I'm not personally big on instant messengers but I have an elderly friend who is. And now that I have built him a computer powered by ubuntu I have become his tech. support guy (qualified or not). That said, since he is big into Yahoo chat / Webcam... Well you can see where this is going.

I'm always glad to fiddle around and report bugs... :)

crjackson
April 29th, 2009, 03:46 PM
.66 version is out.

I tried to compile form source but I really don't know what I'm doing. I'll have to wait until you get a chance to put a deb in the repository before I can test it out.

loell
April 30th, 2009, 03:03 AM
currently building..

crjackson
April 30th, 2009, 05:40 PM
New build works perfectly. Camera works perfectly. Record works perfectly. Gyachi-encoder works perfectly.

New bug regarding smiley's but it's been fixed already. I suspect you'll be building again soon...

EDIT: I see you have .67 queued for building. I'll be testing it tomorrow.

mocha
May 2nd, 2009, 07:54 AM
I just found this app by mistake. It's very nice! I was just wondering though what folks use Yahoo chat for. It's still just all spam bots in the channels I tried. It's always been like this for many years. Also I was wondering how do you do the voice chat? When I open the voice chat box the rooms are always empty.

loell
May 2nd, 2009, 09:43 AM
I was just wondering though what folks use Yahoo chat for. It's still just all spam bots in the channels I tried. It's always been like this for many years.

True , I guess this is just for those who still prefers Yahoo IM services. Actually, many users are not really fond of yahoo public rooms. they just want to communicate with friends and family.





Also I was wondering how do you do the voice chat? When I open the voice chat box the rooms are always empty.

you have to enter a room before you can talk or listen.

crjackson
May 2nd, 2009, 03:49 PM
GyachI - V1.1.68 (New)
By: Greg Hosler (ghoslerProject Admin) - 2009-05-01 09:13
2009-05-01 (V1-1-68) Move list of voice-server IP's to external file.
* - Moved hard coded list of voice servers to
* GYACH_CFG_DIR (~/.yahoorc/gyach/voice_servers
* and if not found, then the master list in
* PACKAGE_DATA_DIR ({prefix}/share/gyachi/voice_servers
* - Additionally, the last selected voice server is
* saved across runs in a gyvoicerc file.

loell
May 2nd, 2009, 09:09 PM
uploading..

mafaldaspeaks
May 4th, 2009, 03:22 AM
How about sending sms from within yahoo? Would you know how i can activate that? I'm using jaunty jackalope.

loell
May 4th, 2009, 04:05 AM
someone ask the same question yesterday through PM

so i'll quote myself


none so far, as well as login to mobile, both aren't implemented yet. but you could make a request to the developer if you really like a feature like that.

meanwhile you can use yahoo's sms feature by using yahoo mail ajaxified version? not the yahoo mail classic, you can easily switch back and forth with that interface. from there login to yahoo web messenger again from that yahoo mail ajaxified version, then you can use yahoo sms service.

still you can file a request for this feature via the open discussion at http://gyachi.sourceforge.net

m_2009
May 7th, 2009, 12:44 AM
Just wondering if anyone else has been experiencing the issues I am having with gyachi...

1. If i get notification saying i have an email, clicking the email button on the toolbar doesn't do anything, doesnt load my web browser or anything (I have set firefox in the options to be the browser), and the same happens when right clicking the system tray icon and clicking "Email messages"

2. I dont get any sound notifications when someone signs on, or sends me a message etc. My sound works everywhere else in ubuntu and i get sounds in aMSN when i receive a message, but not in gyachi. Anyone know how to fix this?

1 other question I have, what does changing the "theme" actually do? i have changed it to YMlike, gyachi-default, and pidgin etc.. but nothing seems to change anywhere? not even the buddy icons..

Hope someone can possibly help me with the 2 main issues mentioned avbove, thank you.

By the way I am rnning gyachi 1.1.70 jaunty

loell
May 7th, 2009, 02:08 AM
1. gyachi needs embeded browser capability to browse to yahoo web mail, it used to work before by sending the email links to firefox but yahoo webmail URI has changed 2 years ago. this feature is now disfunctional and needs changing.

2. you have to select the sound device in Setup --> Options --> sound device


Other question: you needed to restart gyachi to see the theme change.

m_2009
May 7th, 2009, 02:43 AM
THank you for the reply loell.
So Im guessing the only way to view my emails is actually to load up my firefox manually and log into the yahoo website?

In regards to the sound, i tried changing the sound device from ALSA to Pulse, and I get no sound output frmo either. I did look around the files and noticed the gyachi sound files have the file extension "RAW". Could it be that a codec is needed for these?

I already have the ubuntu-restricted-extras package installed, but just dont seem to be able to get any sound outpu when a buddy signs in or messages me. Would there be anything else I could check or try to make this work?


I tried changing the theme and then restarting gyachi, and it still doesnt seem to change anything? Which things shoul change if i select a different theme? From looking at the files in the themes folder it seems as though it changes the icons on the buddy list? Mine are always the yellow faces just like in the windows version of yahoo, is this what the theme changes, or does it change the smilies within a chat?

m_2009
May 7th, 2009, 03:38 AM
UPDATE:

I have now managed to get the sounds working, it seems that by default the "Enable sound events" box is unchecked by default, an I only just noticed there was even this option, checked the box, and sounds now working perfectly. Also themes seem to be working now after a restart.
Is there lso a way to make the interface smaller, so that it only shows my budy list, and not the other tabs, kind of like how yahoo messenger in windows looks?

Also for using gyachi in ubuntu, what do i need to have as the "flashplayer" command and "MP3 player command"

loell
May 7th, 2009, 03:38 AM
2. I'll check if the sound is the latest bug of the latest version.

3. themes are just icon themes not gtk themes, you may see different icons whe you switch and restart.

loell
May 7th, 2009, 03:50 AM
UPDATE:

Is there lso a way to make the interface smaller, so that it only shows my budy list, and not the other tabs, kind of like how yahoo messenger in windows looks?


not really, but you can resize it though, also drag the buddy tab to the first tab if you like. and in setup-->options--> remember UI tab settings



Also for using gyachi in ubuntu, what do i need to have as the "flashplayer" command and "MP3 player command"

the flash player is of no use actually it's a legacy code , the mp3 player is only use for playing audible sounds, in which mplayer is the default setting. install mplayer if you like hearing it.

if you have UI features requests, let the developer know at gyachi.sourceforge.net

m_2009
May 7th, 2009, 04:36 AM
Thank you.

I dont think the sound is a bug, it was just I never noticed there is a checkbox to turn the sound events on/off, and by default it is deselected.

When you say audiables for the MP3, what kind of audiables would they be?

And if so, could i set anything that comes with ubuntu standard to do this. for example Totem?

m_2009
May 7th, 2009, 05:12 AM
Another thing Im not sure of.

How can i create/delete groups in the Buddy list.

I know in the windows one you can simply click Create New group, and then type the name for it, and drag friends etc.. But i dont seem to be able to find an option to create a new group in gyachi, can anyone point me as to if this can be done, and if so, how?

adroitster
May 8th, 2009, 12:39 AM
Hello
I have installed gyachi using the deb provided on the first page on my jaunty 64 bit and its up and running !!

But there is very weird problem of logging in using my account . It says the password is incorrect while I login using the same password on pidgin and my account on browser:confused:

Also this problem is only with my account !! that is the other accounts can be logged in without any problem:confused::(

loell
May 9th, 2009, 07:58 AM
How can i create/delete groups in the Buddy list.

when you add a new buddy you will have the option to create a new group.

loell
May 9th, 2009, 08:00 AM
But there is very weird problem of logging in using my account . It says the password is incorrect while I login using the same password on pidgin and my account on browser:confused:
(

try to delete .yahoorc/ then log in with the same account.

adroitster
May 9th, 2009, 08:21 AM
Thank you loell for your quick reply but the thing is its still not working the way it should. It lets me login from other accounts but not the one which I want!! while the same account I cn login from the web browser without any prolems. My account @yahoo.co.in and not @yahoo.com , can that be a problem? because my other account (which i can login is @yahoo.com):confused:

DougieFresh4U
May 9th, 2009, 08:45 AM
Using the latest .deb, my audibles play 1/2 to 3/4 of the way and quit. And that is only for the first audible I play as it won't play a second audible at all. Have to restart 'gyachi' to only the same result again.
I do have mplayer installed. Should I maybe install that latest 'smplayer' from tutorial in Jaunty?

loell
May 9th, 2009, 10:31 AM
Thank you loell for your quick reply but the thing is its still not working the way it should. It lets me login from other accounts but not the one which I want!! while the same account I cn login from the web browser without any prolems. My account @yahoo.co.in and not @yahoo.com , can that be a problem? because my other account (which i can login is @yahoo.com):confused:

probably, have you tried logging in with @yahoo.co.in?

loell
May 9th, 2009, 10:32 AM
Using the latest .deb, my audibles play 1/2 to 3/4 of the way and quit. And that is only for the first audible I play as it won't play a second audible at all. Have to restart 'gyachi' to only the same result again.
I do have mplayer installed. Should I maybe install that latest 'smplayer' from tutorial in Jaunty?

indeed, it's weird.

adroitster
May 9th, 2009, 04:02 PM
probably, have you tried logging in with @yahoo.co.in?
But how do I login by using @yahoo.co.in since the gyache Improved login window asks only for the user name and not the whole email ID. I have my account setup on pidgin is it possible that some king of security detects the use of the same password on my computer and blocks gyache while it allows me to login the account which is not setup on pidgin (I know it might sound lame but now have no option other thinking of all weird reasons for that weird phenomenon !! )

loell
May 9th, 2009, 10:09 PM
But how do I login by using @yahoo.co.in since the gyache Improved login window asks only for the user name and not the whole email ID. I have my account setup on pidgin is it possible that some king of security detects the use of the same password on my computer and blocks gyache while it allows me to login the account which is not setup on pidgin (I know it might sound lame but now have no option other thinking of all weird reasons for that weird phenomenon !! )

simply put @yahoo.co.in? that's how ymail and rocketmail account works.

adroitster
May 10th, 2009, 02:08 AM
simply put @yahoo.co.in? that's how ymail and rocketmail account works.
Loell I have already tried that and again the same error of password or user id incorrect . This time I really pressed each key reading out loudly !!! (I am sure that my password and ID are correct since I have tried them on all different messengers)

loell
May 10th, 2009, 02:17 AM
then it's a bug most probably.

adroitster
May 10th, 2009, 02:32 AM
It is sad that the bug is only for my primary account .....this is the last piece of software I am trying to configure after a clean install of jaunty on my computer(earlier is used pidgin on my intrepid). :(
I just now upgraded to gyachi_1.1.70 from your ppa but all in vain

somebody who has a workaround please tell me!! I am using @yahoo.co.in as my ID which doesn't works while my @yahoo.com works flawlessly!!! Other having working gyachi please tell me if there is a solution!!

loell
May 10th, 2009, 02:37 AM
do you by any chance using indian characters? maybe it's the root of the bug?

adroitster
May 10th, 2009, 02:43 AM
do you by any chance using indian characters? maybe it's the root of the bug?
Ahh I don't know what do you exactly mean by indian characters ? But I use a US(EN) keyboard ! (But after logging in I do use indian audible and stuff but that is after logging in)

Loell you seem to be pretty helping in this matter , If you have any contacts gyachi developers or you are among those please help me with the workaround or tell me what has to be done (It is a great piece of software that will help to keep me from booting my virtual machine just for ymssngr)

loell
May 10th, 2009, 03:00 AM
it's much faster and more reliable if you could file a bug report yourself at gyachi.sourceforge.net at the open discussion forum.

m_2009
May 10th, 2009, 03:34 AM
Just in case anyone finds this useful, I have created a package with the latest sound events taken from Yahoo Messenger 9, these include the sounds for buddy online, budy offline, received message, buzz and email alert.

Just copy the RAW files from this archive into the /usr/share/gyachi/sounds folder (You will need t do this as root)

adroitster
May 10th, 2009, 03:38 AM
it's much faster and more reliable if you could file a bug report yourself at gyachi.sourceforge.net at the open discussion forum.

Ok loell I will do that .

gatoguts
May 10th, 2009, 10:02 PM
I downloaded Gyache using the link below. How do i completely remove it?

https://launchpad.net/%7Eloell/+arch...ntu11_i386.deb

m_2009
May 11th, 2009, 12:10 AM
Goto SYSTEM > ADMINISTRATION > SYNAPTICS PACKAGE MANAGER

It should be listed under Installed (Local or obselete), you can remove it from there.

loell
May 11th, 2009, 12:18 AM
Just in case anyone finds this useful, I have created a package with the latest sound events taken from Yahoo Messenger 9, these include the sounds for buddy online, budy offline, received message, buzz and email alert.

Just copy the RAW files from this archive into the /usr/share/gyachi/sounds folder (You will need t do this as root)

ah nice, I haven't tried this. :)

gatoguts
May 11th, 2009, 12:57 AM
Goto SYSTEM > ADMINISTRATION > SYNAPTICS PACKAGE MANAGER

It should be listed under Installed (Local or obselete), you can remove it from there.

unfortunately, it is not under there...anyway what i really want to do is reinstall Gyachi by first adding the necessary repositories and PPA keys. That link from Loell uses GDebi. Even after importing the PPA key i am still getting can not be authenticated messages in synaptic when trying to install Gyachi.

crjackson
May 11th, 2009, 01:40 AM
unfortunately, it is not under there...anyway what i really want to do is reinstall Gyachi by first adding the necessary repositories and PPA keys. That link from Loell uses GDebi. Even after importing the PPA key i am still getting can not be authenticated messages in synaptic when trying to install Gyachi.

Add this software source:



deb http://ppa.launchpad.net/loell/ppa/ubuntu jaunty main


import the attached text file to your authentication tab settings.

gatoguts
May 11th, 2009, 09:14 AM
Add this software source:



deb http://ppa.launchpad.net/loell/ppa/ubuntu jaunty main


import the attached text file to your authentication tab settings.

thanks do i need to add
deb-src http://ppa.launchpad.net/loell/ppa/ubuntu jaunty main ?

crjackson
May 11th, 2009, 02:37 PM
thanks do i need to add
deb-src http://ppa.launchpad.net/loell/ppa/ubuntu jaunty main ?

It's the repository for the source files. I don't use any of them.

m_2009
May 11th, 2009, 05:39 PM
I have gyachi set to use seperate windwos for each PM chat.

Is it possible to hide/remove the tab that shows at teh top of each other these PM windows, as all the tab actually says is the name of the contact I am talking to, and being as I have the options set to open new window for each PM chat then the tab displaying isnt really needed. Can it be disabled?

loell
May 12th, 2009, 12:10 AM
I have gyachi set to use seperate windwos for each PM chat.

Is it possible to hide/remove the tab that shows at teh top of each other these PM windows, as all the tab actually says is the name of the contact I am talking to, and being as I have the options set to open new window for each PM chat then the tab displaying isnt really needed. Can it be disabled?

yeah, i was wondering about that too, but i think you can't disable it, unless someone request it to the developer.

personally though i have always use tabbed conversations.

m_2009
May 12th, 2009, 12:19 AM
So who actualyl builds gyachi, or makes changes?

Do you make changes for ubuntu for it, or just add new versions to your PPA?

By the way did you say that the "flashplayer" command actualyl does anything? If so then what does it need to be set to in ubuntu.

loell
May 12th, 2009, 12:38 AM
So who actualyl builds gyachi,

there are quite a few who build specific packages for their distributions, i for one builds ubuntu deb packages



or makes changes?

the developer (https://sourceforge.net/users/ghosler/)


or just add new versions to your PPA?

yes



By the way did you say that the "flashplayer" command actualyl does anything? If so then what does it need to be set to in ubuntu.

it's an old code from the gyach enhance days, i doubt the current developer nor the developer before him is familiar with that function, but i think it used to view avatars but that's it, which was useless other than that it needs to be removed.

m_2009
May 12th, 2009, 12:45 AM
SO if i did want to view the flash avatars which some people use.. what woudl the correct flashplayer command need to be for ubuntu?

ani_drexel
May 12th, 2009, 09:35 AM
Im a new Kubuntu user and can i get STEP BY STEP details on how to run yahoo messenger with VC please..ive been using piding..but dont get Voice chat on conferences and rooms...anyone can please guide me STEP BY STEP procedure to get yahoo with voice somehow on kubuntu? I would reallly appreciate it...thanks again

loell
May 12th, 2009, 01:27 PM
if you're in kubuntu just install gyachi 32 bit, and install the codecs from medibuntu repository, and you're good to go :)

ani_drexel
May 12th, 2009, 03:32 PM
where do i get the installation file for gyachi 32bit? sorry im being too much of a spoon feeding thing lol but yeah..any links for that? thanks for ur quick reply!

loell
May 13th, 2009, 01:03 AM
the deb packages are mostly found in the first post. :)

if you're in jaunty youjust install this deb package

https://launchpad.net/~loell/+archive/ppa/+files/gyachi_1.1.70-1~jaunty_i386.deb

loell
May 13th, 2009, 02:57 AM
feature teaser for the next release.. buddy images :)

113564

m_2009
May 16th, 2009, 11:46 PM
Hi loell.

I hav ejust installed the latest version of gyachi from your repositories (1.1.71~jaunty), however when i run gyachi the title bar still shows it as being version 1.1.70, and this is also the same in help, about....

Is this what it should be displaying?

loell
May 16th, 2009, 11:51 PM
Hi loell.

I hav ejust installed the latest version of gyachi from your repositories (1.1.71~jaunty), however when i run gyachi the title bar still shows it as being version 1.1.70, and this is also the same in help, about....

Is this what it should be displaying?

Yes.. my mistake, it's a patched 1.1.70, the changes is set for 1.1.71 :D

this is actually the first time i did it like this, the developer will crucify me, if he knows this.. ;)

m_2009
May 17th, 2009, 01:47 AM
Ive also noticed in this version that whenever i sign in, all groups on the contact list arent expanded, in the previous version they were.

If i manually expand all groups, or even set the "expand all groups" option, if i sign out and then back in again, they arent expanded... Is this a bug?

Will the email button in the toolbar ever be fixed to allow it to open up the default web browser and sign into yahoo mail?
Also when will a version be released that actually displays as version 1.1.71??

Sef
May 17th, 2009, 02:21 AM
Add this software source:
Code:
deb http://ppa.launchpad.net/loell/ppa/ubuntu jaunty main
import the attached text file to your authentication tab settings. Attached Files http://ubuntuforums.org/images/attach/txt.gif gyachi-Key.txt (http://ubuntuforums.org/attachment.php?attachmentid=113256&d=1242002442) (598 Bytes, 5 views)

For the gyachi-Key.text, click download to save it to your desktop. If you click save as, it will not work.

loell
May 17th, 2009, 09:51 AM
Ive also noticed in this version that whenever i sign in, all groups on the contact list arent expanded, in the previous version they were.

If i manually expand all groups, or even set the "expand all groups" option, if i sign out and then back in again, they arent expanded... Is this a bug?


yep, i've had this behavior too, the thing is, it seems inconsistent and we couldn't nail the reall issue yet.

what i did was delete my previous settings ie rm -rf .yahoorc or better yet if you havent deleted your settings, post your output with this command

grep -A 4 show_offline_buddies ~/.yahoorc/gyach/gyachrc


Will the email button in the toolbar ever be fixed to allow it to open up the default web browser and sign into yahoo mail?

I still don't know, personally, I'm having a different agenda on that feature, in any case you can revive that feature by requesting at gyachi forum.



Also when will a version be released that actually displays as version 1.1.71??

most probably in a little later, 1.1.71 was just officially released.

m_2009
May 17th, 2009, 02:24 PM
Here is the output of running the grep command.


show_offline_buddies = 0
show_offline_in_online = 0
dont_show_offline_buddies = 1
show_empty_groups = 0
expand_all_groups = 1
expand_only_online_groups = 0
expand_no_groups = 0

Does this show why this could be happening?

m_2009
May 17th, 2009, 02:39 PM
also just deleted the ~/.yahoorc folder, and problem still exists.

loell
May 17th, 2009, 03:29 PM
I've forwarded the output to the developer.

m_2009
May 19th, 2009, 03:47 AM
Another feature that would be nice is pressing the esc kep closing the current PM window, is that possible?

Fire768
May 19th, 2009, 07:23 AM
hi,
Except yahoo messenger .,what other messenger that can be use.,?





_________________
IP PBX (http://www.inin.com/ProductSolutions/Pages/Enterprise-Interaction-Center.aspx)

_sluimers_
May 19th, 2009, 07:39 AM
hi,
Except yahoo messenger .,what other messenger that can be use.,?


None, just yahoo messenger.

I_ated_it
May 21st, 2009, 04:24 AM
I apologize if this has already been answered but I have installed Gyachi using the deb package posted on the first page and it appears as if everything installed properly but when I click to launch Gyachi it just kind of locks up and doesnt load. Any idea what is happening here?

Sef
May 23rd, 2009, 07:06 AM
What version of Ubuntu are you using?

I_ated_it
May 24th, 2009, 04:40 AM
Kubuntu 9.04

loell
May 24th, 2009, 06:01 AM
can you possibly execute it in the terminal? see if there's any output in there?

also, try removing/reinstalling gyachi and delete your settings ./yahoorc

codewalkz
May 24th, 2009, 10:08 AM
Is there someone over here who ever used skype?

I_ated_it
May 24th, 2009, 02:46 PM
can you possibly execute it in the terminal? see if there's any output in there?

also, try removing/reinstalling gyachi and delete your settings ./yahoorc

Ok, I ran in terminal and got this:

gyachi: error while loading shared libraries: libgailutil.so.18: cannot open shared object file: No such file or directory

loell
May 24th, 2009, 10:49 PM
that is just strange, libgail should be auto - downloaded during installation. anyhow, install libgail18 sudo apt-get install libgail18 then try to run it again.

I_ated_it
May 25th, 2009, 01:04 AM
awesome that worked...thanks a lot

colau
May 25th, 2009, 01:46 AM
Thanks loell for gyachi.
How to make the offline buddies not appeared in the buddies tab?

loell
May 25th, 2009, 02:02 AM
thanks loell for gyachi.
How to make the offline buddies not appeared in the buddies tab?

115025

colau
May 25th, 2009, 02:39 AM
115025
Thanks.
I don't see two hotmail buddies in pidgin as visible but here in gyachi they are online to me.
That's interesting.

crjackson
May 25th, 2009, 03:42 AM
Do rooms work? Have a look at the attached picture. I get this error from every machine in the house when I try to join a room from the list.

What's the cure?

Thanks

tqft
May 25th, 2009, 04:19 AM
Do rooms work? Have a look at the attached picture. I get this error from every machine in the house when I try to join a room from the list.

What's the cure?

Thanks

Rooms work

Just try again

Check to make sure nothing else is pigging your bandwidth

SEdward
May 26th, 2009, 02:50 AM
Good day
I installed gyachi on my 32bit X86 - ubuntu hardy linux
I have all the features enabled except the voice chat ((neither for room nor for buddies))
I have the voice window open with the 3 buttons on/off/mute
BUT I HAVE THE TALK KEY DIMMED AND DISABLED
Can anyone help me here?
I am stuck in this dilemma
Thanks

Sef
May 27th, 2009, 11:58 AM
Under Setup > Options > check that Sound_Device is listed. Mine is listed as Alsa_plugin

xeddog
May 30th, 2009, 01:57 AM
If anyone is interested, I just upgraded my test system which was running Jaunty to Karmic Alpha 1 and Gyachi 1.1.65 seemed to be working ok. I then upgraded to 1.1.71 and it still works. This was using the jaunty link from the first page.

xeddog

Short__Error
May 30th, 2009, 02:57 AM
](*,)Well i am not sure if this has been tlked about but i have not found any thing on it.
I am using Ubuntu 9.04 i installed the gyachi_1.1.71-1~jaunty1_i386.deb, ok so now that you know what i am running this is the problem. I can logon get all the way to the captcha code type it in and hit ok and then Gyachi just goes poof truns off. What would cause this and how can i fix it.](*,)

crjackson
May 30th, 2009, 03:50 AM
If anyone is interested, I just upgraded my test system which was running Jaunty to Karmic Alpha 1 and Gyachi 1.1.65 seemed to be working ok. I then upgraded to 1.1.71 and it still works. This was using the jaunty link from the first page.

xeddog

Thanks for the information...

loell
May 30th, 2009, 03:55 AM
](*,)Well i am not sure if this has been tlked about but i have not found any thing on it.
I am using Ubuntu 9.04 i installed the gyachi_1.1.71-1~jaunty1_i386.deb, ok so now that you know what i am running this is the problem. I can logon get all the way to the captcha code type it in and hit ok and then Gyachi just goes poof truns off. What would cause this and how can i fix it.](*,)

check the no chatroom checkbox during log on, on the login window , if it quits unexpectedly, try running it on terminal and give us the output or error.

Short__Error
June 1st, 2009, 08:18 AM
Well i think you, but i found out what the problem was it will just not let me in one of the rooms i always go in. This room country:4 idk why it is doing this at all. the next problem i am havein is with my mic it is not reading the mic for some reason. :(

sagesparrow
June 4th, 2009, 01:46 AM
I think I have a similar problem as Short_Error. I'm running Jaunty and recently upgraded to Gyachi 1.1.71.1. Gyachi was working up to a few days ago, even after upgrading. But now it won't start up. There is a flash of a start up window, then gone.

Here's the error message when starting from terminal:

The program 'gyachi' received an X Window System error.
This probably reflects a bug in the program.
The error was 'RenderBadPicture (invalid Picture parameter)'.
(Details: serial 943 error_code 160 request_code 149 minor_code 8 )
(Note to programmers: normally, X errors are reported asynchronously;
that is, you will receive the error a while after causing it.
To debug your program, run it with the --sync command line
option to change this behavior. You can then get a meaningful
backtrace from your debugger if you break on the gdk_x_error() function.)

When compiling manually I get the following error message from ./configure:

configure: error: cannot run /bin/sh ./config.sub

What's the next move?

Gnomester
June 9th, 2009, 01:33 PM
Just how big is the package to install Gyachi? I am running short of bandwith use in my Midday to Midnight allocation but I just might have enough after Midnight bandwidth to try the install.

My 2gig by 2gig a month usage has gone to trying a couple of Linux packages. The addition of Jaunty with a few essentials has pushed the limit of my account:(

NT4usB
June 9th, 2009, 07:28 PM
Just how big is the package to install Gyachi? I am running short of bandwith use in my Midday to Midnight allocation but I just might have enough after Midnight bandwidth to try the install.

My 2gig by 2gig a month usage has gone to trying a couple of Linux packages. The addition of Jaunty with a few essentials has pushed the limit of my account:(

https://launchpad.net/~loell/+archive/ppa/+sourcepub/632604/+listing-archive-extra

JDorfler
June 9th, 2009, 08:21 PM
Thanks for the how to. I just added it to my repository list. So far so good.

Short__Error
June 10th, 2009, 04:53 PM
A good idea would be to add a ymsg16 login with an http option because this would make this chat client completely immune to the boot packets.Just an idea thogh.

kcallis
June 12th, 2009, 11:56 PM
I am running into the same issue... I attempt to log in and it immediately kicks me off. I have reloaded the version that is listed a couple of pages ago, and still nothing...

loell
June 13th, 2009, 10:03 PM
A good idea would be to add a ymsg16 login with an http option because this would make this chat client completely immune to the boot packets.Just an idea thogh.

good one, but this isn't usually the venue to be heard of, by the developer. ;)

you can request this at gyachi forum. :)

Creative1412
June 17th, 2009, 12:33 AM
I am running into the same issue... I attempt to log in and it immediately kicks me off. I have reloaded the version that is listed a couple of pages ago, and still nothing...
I have the same problem

nakama85
June 18th, 2009, 08:52 AM
I cna log in fine, do cam fine, I can hear others talk in chat rooms but nobody can here me. Any Ideas??

tqft
June 18th, 2009, 09:04 AM
I cna log in fine, do cam fine, I can hear others talk in chat rooms but nobody can here me. Any Ideas??

Are you running pulse-audio as your sound system? If you are it has a volume meter which lets you see if the sound is getting through

Start pulse-audio device chooser if it hasn't already
Select volume control
Click on the recording tab
Talk in gyachi - you should see the volume move as you speak

"Obvious" stuff that has burned me before (feel free to ignore)
If not - make sure you have clicked on the talk button, make sure everything is plugged in, check if mic has a separate on/off switch and/or volume control on it.

BTW - have noticed an increase in new and particularly nasty booters so this may explain some of the login problems - if you get booted and have trouble getting back in it could be the boot packets are still coming. Never had a problem with booters befor ethe last week no matter what happened - gyachi just handled it. Something new doing the rounds I think

Tank Jr
June 18th, 2009, 01:57 PM
I am running into the same issue... I attempt to log in and it immediately kicks me off. I have reloaded the version that is listed a couple of pages ago, and still nothing...

I have been having this problem for a couple of days now. Before that the client worked pretty well and I had my webcam up and running.
An interesting point is that the Yahoo messenger for Unix also refuses to connect now, citing something about a very old and out of date client.
This leads me to suspect that Yahoo has done something that is locking out these two clients.
However, I can connect to Yahoo messenger service using Kopete.
Can anyone shed some light on this?
Thank you in advance.

beatlefan
June 18th, 2009, 08:44 PM
I've had a connection problem for about a week and a half, I'll post in the gyachi forum too but I'm at work right now.

If I try to log in using the Yahoo7.5 protocal, it will pause for awhile and then not connect. If I try the 8.0 protocal, it connects and shows me users but I've had a friend message me and they couldn't see my reply messages.

I'm just using regular old Jaunty, with gyachi 1.71.
I tried installing the previous version and same result.

nakama85
June 18th, 2009, 09:08 PM
Are you running pulse-audio as your sound system? If you are it has a volume meter which lets you see if the sound is getting through

Start pulse-audio device chooser if it hasn't already
Select volume control
Click on the recording tab
Talk in gyachi - you should see the volume move as you speak

"Obvious" stuff that has burned me before (feel free to ignore)
If not - make sure you have clicked on the talk button, make sure everything is plugged in, check if mic has a separate on/off switch and/or volume control on it.

BTW - have noticed an increase in new and particularly nasty booters so this may explain some of the login problems - if you get booted and have trouble getting back in it could be the boot packets are still coming. Never had a problem with booters befor ethe last week no matter what happened - gyachi just handled it. Something new doing the rounds I think
I dont think I am using pulse. This may be a dumb question but if I do have it how do I start device chooser. However I am pretty sure I am using alsa.

I did check all the "obvious' stuff

Sound recorder works fine as well

tqft
June 18th, 2009, 09:28 PM
"how do I start device chooser. "
Applications Sound PulseAudio Device Chooser